EDIT - bug #9092

Multiple Representation Exception when editing factual data
06/24/2020 06:59 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.16

Severity: normal Found in Version:

Description

Hallo liebes Edit Team,

seit dem Update bekomme ich diese Fehlermeldung super haufig wenn ich bei den Factual Data in der Flora Cuba etwas eingebe
und dann speichere, meistens nachdem ich eine Quelle hinterlegt habe. Wenn ich dann das Taxon einmal zu und wieder aufmache
geht es wieder.

Viele GruBe

Sophia

last remote method : http://api.cybertaxonomy.org:80/flora-cuba/remoting/taxonnode.service
last remote request client time : 2020-06-23T20:17:40.331

last remote request response header time : Tue, 23 Jun 2020 20:17:40 GMT

client error time : 2020-06-23T20:17:40.75

login : s.wutke
editor version : 5.15.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / flora-cuba

schema version : 5.15.2.0.20200611

os : Windows 10 10.0 amdé64

java : 1.8.0_251

org.eclipse.ed.core.di.InjectionException: java.lang.IllegalStateException: Multiple representatio
ns of the same entity [eu.etaxonomy.cdm.model.reference.Reference#l4] are being merged. Detached:

[Reference [type=WebPage, title=The Spermatophyta of Cuba - A Preliminary Checklist, abbrevTitle=
Cuba Checklist Online, id= 14, uuid=984bf410-1802-4883-b97f-f44clc56e974]]; Detached: [Reference [
type=WebPage, title=The Spermatophyta of Cuba - A Preliminary Checklist, abbrevTitle=Cuba Checkli

st Online, id= 14, uwuid=984bf410-1802-4883-b97f-f44clc56e974]]
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:247)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:90

at org.eclipse.ed.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. jav
a:57)

at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)

at org.eclipse.ed4.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl.java:1390)

at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:42)

at sun.reflect.GeneratedMethodAccessorll3.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:13

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. j
ava:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.
java:210)

at org.eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContri
butionItem. java:433)

at org.eclipse.e4d.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (Ab
stractContributionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractCo
ntributionItem. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:l
022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.IllegalStateException: Multiple representations of the same entity [eu.etaxon
omy.cdm.model.reference.Reference#l14] are being merged. Detached: [Reference [type=WebPage, title=

The Spermatophyta of Cuba - A Preliminary Checklist, abbrevTitle=Cuba Checklist Online, id= 14, u
uid=984bf410-1802-4883-b97f-f44cl1c56e974]]; Detached: [Reference [type=WebPage, title=The Spermato
phyta of Cuba - A Preliminary Checklist, abbrevTitle=Cuba Checklist Online, id= 14, uuid=984bf410

-1802-4883-b97f-f44clc56e974]]

at org.hibernate.event.internal.EntityCopyNotAllowedObserver.entityCopyDetected (EntityCopyNotA
llowedObserver. java:37)

at org.hibernate.event.internal.MergeContext.put (MergeContext. java:245)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:304)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList
ener.java:468)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList
ener.java:468)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList
ener.java:468)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList
ener.java:468)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:69)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:840)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:822)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:827)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.merge (CdmEntityDaoBase. j
ava:287)

at eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:234)

at eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:42)

at sun.reflect.GeneratedMethodAccessorll630.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxyl4817.merge (Unknown Source)

at sun.reflect.GeneratedMethodAccessorll630.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTracelInterceptor.invoke (RemotelInvocati
onTracelnterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$SProxyl14992.merge (Unknown Source)

at sun.reflect.GeneratedMethodAccessorll795.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)

at eu.etaxonomy.cdm.api.remoting.DebuggingRemoteInvocationExecutor.invoke (DebuggingRemoteInvoc
ationExecutor. java:52)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet.java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse. jetty.servlet.ServletHolder$NotAsyncServlet.service (ServletHolder. java:1395)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:755)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1617)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter. java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:213)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
ava:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil
ter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)
at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Security
ContextPersistenceFilter. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF
ilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.j
ava:3406)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1604)

at eu.etaxonomy.cdm.servlet.DateHeaderFilter.doFilter (DateHeaderFilter.java:55)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1604)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1596)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:545)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:590)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:127)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:235)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:1607)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:233)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1297)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:188)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:485)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:1577)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:186)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1212)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler.java:141)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:127)

at eu.etaxonomy.cdm.server.logging.InstanceLogWrapper.handle (InstancelLogWrapper. java:47)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j
ava:221)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:127)

at org.eclipse.jetty.server.Server.handle (Server. java:500)

at org.eclipse.jetty.server.HttpChannel.lambda$handle$l (HttpChannel. java:383)

at org.eclipse.jetty.server.HttpChannel.dispatch (HttpChannel. java:547)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:375)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:270)

at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:311)

at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:103)

at org.eclipse. jetty.io.ChannelEndPoint$2.run (ChannelEndPoint. java:117)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.runTask (EatWhatYouKill. java:336)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.doProduce (EatWhatYouKill. java:313)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.tryProduce (EatWhatYouKill.java:171)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.run (EatWhatYouKill. java:129)

at org.eclipse.jetty.util.thread.ReservedThreadExecutor$ReservedThread.run (ReservedThreadExecu
tor.java:388)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:806)

at org.eclipse.jetty.util.thread.QueuedThreadPoolS$Runner.run (QueuedThreadPool. java:938)

at java.lang.Thread.run (Thread. java:748)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils. java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult
.Java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor. java:150)
at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy50.merge (Unknown Source)

at eu.etaxonomy.taxeditor.editor.ed4.TaxonEditorInputE4.merge (TaxonEditorInputE4. java:424)

at eu.etaxonomy.taxeditor.editor.name.ed.TaxonNameEditorE4.save (TaxonNameEditorE4.java:419)

at sun.reflect.GeneratedMethodAccessorlld.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

47 more

Associated revisions

Revision ac1b1365 - 06/26/2020 03:04 AM - Andreas Miiller
update cached cdm model to 5.15.2

History

#1 - 06/24/2020 10:56 AM - Katja Luther

mail Sophia:

es passiert sowohl wenn ich nur eine Sache eingegeben habe als auch wenn es mehrere waren, normalerweise speichere ich aber immer nach jeder
Eingabe ab. Da tritt es im Moment so bei jedem 2. oder 3. speichern auf.

Ich hatte nur diese Standardansicht offen wenn man auf ein Taxon doppelklickt, und hab da nur in den Factual Data und den Typenbeschreibungen
gearbeitet, bin nicht sicher ob das der NameEditor ist. Also ich hatte nicht den BulkEditor offen oder so.

#2 - 06/24/2020 02:51 PM - Katja Luther

In this case the reference which has multiple representations was [Reference [type=WebPage, title=The Spermatophyta of Cuba — A Preliminary
Checklist, abbrevTitle=Cuba Checklist Online, id= 14, uuid=984bf410-1802-4883-b97{-f44c1c56e974]]; Detached: [Reference [type=WebPage,
titte=The Spermatophyta of Cuba — A Preliminary Checklist, abbrevTitle=Cuba Checklist Online, id= 14,
uuid=984bf410-1802-4883-b97f-f44c1c56e974]] this is the sec reference of all(?) taxa.

#3 - 06/24/2020 09:29 PM - Katja Luther

mail Sophia:

Generell Gbertrage ich halt im Moment immer von der Druckversion der Flora Cuba die Daten. Also normalerweise kopier ich erst einmal die gesamte
Namensreferenz hinter den Taxonnamen mit Autor (da tritt der Fehelr normalerweise noch nicht auf). Dann gebe ich die zugehdrige
Typenbeschreibung in das Freitextfeld ein und die Quelle dazu. Da tritt der Fehler dann schon haufig auf, entweder wenn ich nach den Text
abspeichern oder nach der Quelle. Danach gebe ich bei den factual Data sowas wie Description und Taxonomy ein und da jeweils immer die Quellen

zu. Auch da tritt es dann so bei jedem 2.-3. Speichervorgang auf.
War bisher bei allen Taxa, die ich bearbeitet habe, aber ein Beispiel wére ,Murraya paniculata®. Ich hoffe das hilft.

hab gerade noch festgestellt, dass der Fehler nur bei Arten kommt, bei Gattungen gar nicht. Vielleicht hat es was damit zu tun, dass ich bei

Gattungen immer noch erst ein Factual Data Set neu anlegen muss? Bei den Arten ist immer schon eins angelegt in dem "Distribution" und "Families
in other Floras" schon eingetragen sind. Andererseits kommt der Fehler ja auch bei der Typenbeschreibung manchmal schon.

#4 - 06/24/2020 09:38 PM - Katja Luther

Now | could reproduce the exception and it was again the sec reference of the taxon.
The steps to reproduce are:

1) open a species without type informations, add textual type designation with source

2) add description with source (a description with distribution and families in other floras already exist)
-> exception

#5 - 06/24/2020 09:53 PM - Katja Luther
Katja Luther wrote:
mail Sophia:
hab gerade noch festgestellt, dass der Fehler nur bei Arten kommt, bei Gattungen gar nicht. Vielleicht hat es was damit zu tun, dass ich bei

Gattungen immer noch erst ein Factual Data Set neu anlegen muss? Bei den Arten ist immer schon eins angelegt in dem "Distribution" und
"Families in other Floras" schon eingetragen sind. Andererseits kommt der Fehler ja auch bei der Typenbeschreibung manchmal schon.

it is also reproducable for genus when a textual type designation is added and afterwards the facts.
#6 - 06/25/2020 12:47 PM - Katja Luther

deeper debugging results that the multiple representation does not come from the sec reference but from the descriptionElementSource of the
existing facts. After changing the sec reference the multiple representation still appears with the flora of cuba reference.

this reference is also used in descriptionElementSource of the grandparent taxonnode and while cascading for this reference the proxy is added to
the MergeContext.

final Object result = source.get( entityName, clonedldentifier ); /source = session returns the proxy for the reference in DefaultMergeEventListener

#7 - 06/25/2020 06:47 PM - Katja Luther

As the problems comes with source and referenceForParentChildRelation | tried to revert the changes for the reference as source and the
multipleRepresentation exception does not appear anymore. So we have to search here for the cause.

#8 - 06/26/2020 10:08 AM - Katja Luther
- Status changed from New to Closed

- % Done changed from 0 to 100

The problems were caused by a missing modelCache update, this is done and it works as expected.

#9 - 06/26/2020 10:09 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#10 - 06/30/2020 03:26 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.16
